Bug 479528 - fedora 10 install crashed stack mentions disk partition nvidia could not stat device /dev/mapper/nvidia
fedora 10 install crashed stack mentions disk partition nvidia could not stat...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-10 12:42 EST by BillR
Modified: 2009-07-29 10:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-29 10:44:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description BillR 2009-01-10 12:42:29 EST
Description of problem:

see summary for description of problem


Version-Release number of selected component (if applicable):

fedora 10 lived cd (on trying to install to disk)

don't know the version of anaconda, the stack trace doesn't say.  downloaded fedora this past week, if that is any help

How reproducible:
every time I try to install

Steps to Reproduce:
1. try to install live CD to disk
  
Actual results:
1) Install fails,
2) user installs xp :-p

Expected results:
working Linux installation

Additional info:
getting frustrated with poor onboard raid support
have tried with onboard raid support disabled (sata disks only... LIKE THIS TIME) and with onboard raid enabled... NEITHER works.

Stack trace follows:

anaconda None exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/partedUtils.py", line 696, in getInfo
    disk = self.disks[drive]
  File "/usr/lib/anaconda/partitions.py", line 370, in setFromDisk
    labels = diskset.getInfo()
  File "/usr/lib/anaconda/partitions.py", line 74, in partitionObjectsInitialize
    anaconda.id.partitions.setFromDisk(anaconda.id.diskset)
  File "/usr/lib/anaconda/dispatch.py", line 204, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 127, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1358, in nextClicked
    self.anaconda.dispatch.gotoNext()
KeyError: 'mapper/nvidia_jibcdabj'

Local variables in innermost frame:
encryptedDevices: {}
readFn: <function <lambda> at 0xa13f80c>
drive: mapper/nvidia_jibcdabj
ret: {}
self: <partedUtils.DiskSet instance at 0xa7fc64c>


Anaconda instance, containing members:
rescue_mount: True
intf: InstallInterface instance, containing members:
  intf.icw: InstallControlWindow instance, containing members:
    intf.icw.handle: 337
    intf.icw.currentWindow: AccountWindow instance, containing members:
      intf.icw.currentWindow.xml: <gtk.glade.XML object at 0xac83f7c (PyGladeXML at 0xae9c290)>
      intf.icw.currentWindow.intf: Already dumped
      intf.icw.currentWindow.pw: <gtk.Entry object at 0xac850cc (GtkEntry at 0xa876af0)>
      intf.icw.currentWindow.confirmlabel: <gtk.Label object at 0xac850f4 (GtkLabel at 0xac41558)>
      intf.icw.currentWindow.confirm: <gtk.Entry object at 0xac8511c (GtkEntry at 0xa876a40)>
      intf.icw.currentWindow.align: <gtk.Alignment object at 0xac850a4 (GtkAlignment at 0xac1f278)>
      intf.icw.currentWindow.pwlabel: <gtk.Label object at 0xac85054 (GtkLabel at 0xac414d8)>
      intf.icw.currentWindow.capslock: <gtk.Label object at 0xac8502c (GtkLabel at 0xac415d8)>
      intf.icw.currentWindow.ics: InstallControlState instance, containing members:
        intf.icw.currentWindow.ics.prevEnabled: True
        intf.icw.currentWindow.ics.cw: Already dumped
        intf.icw.currentWindow.ics.nextEnabled: True
        intf.icw.currentWindow.ics.grabNext: 1
        intf.icw.currentWindow.ics.title: Install Window
      intf.icw.currentWindow.icon: <gtk.Image object at 0xac8507c (GtkImage at 0xac1f210)>
    intf.icw.mainxml: <gtk.glade.XML object at 0xa7f85a4 (PyGladeXML at 0xa6b5e98)>
    intf.icw.window: <gtk.Window object at 0xa7f88c4 (GtkWindow at 0xa8768e0)>
    intf.icw.installFrame: <gtk.Frame object at 0xa7f875c (GtkFrame at 0xa843148)>
    intf.icw.anaconda: Already dumped
    intf.icw.reloadRcQueued: 0
  intf.runres: 800x600
  intf.anaconda: Already dumped
rescue: False
updateSrc: None
mediaDevice: None
methodstr: livecd:///dev/mapper/live-osimg-min
dispatch: <dispatch.Dispatcher object at 0xa7fc30c>
rootPath: /mnt/sysimage
xdriver: None
isKickstart: False
stage2: None
id: InstallData instance, containing members:
  id.firewall: Firewall instance, containing members:
    id.firewall.portlist: []
    id.firewall.servicelist: [ssh]
    id.firewall.trustdevs: []
    id.firewall.enabled: 1
  id.anaconda: Already dumped
  id.upgradeRoot: None
  id.keyboard: Keyboard instance, containing members:
    id.keyboard.info: {'LAYOUT': us, 'KEYBOARDTYPE': pc, 'VARIANT': , 'KEYTABLE': us, 'MODEL': pc105+inet, 'OPTIONS': }
    id.keyboard.type: PC
    id.keyboard._mods: KeyboardModels instance, containing members:
    id.keyboard.beenset: 1
  id.timezone: Timezone instance, containing members:
    id.timezone.utc: True
    id.timezone.tz: America/Toronto
  id.zfcp: ZFCP instance, containing members:
    id.zfcp.hasReadConfig: True
    id.zfcp.fcpdevs: []
  id.upgrade: None
  id.monitor: None
  id.iscsi: <iscsi.iscsi object at 0xa7fc04c>
  id.fsset: FileSystemSet instance, containing members:
    id.fsset.messageWindow: <bound method InstallInterface.messageWindow of <gui.InstallInterface instance at 0xa664d6c>>
    id.fsset.volumesCreated: 0
    id.fsset.progressWindow: <bound method InstallInterface.progressWindow of <gui.InstallInterface instance at 0xa664d6c>>
    id.fsset.migratedfs: 0
    id.fsset.waitWindow: <bound method InstallInterface.waitWindow of <gui.InstallInterface instance at 0xa664d6c>>
    id.fsset.entries: [fsentry -- device: shm   mountpoint: /dev/shm
  fsystem: tmpfs format: 0
  ismounted: 0  options: 'defaults'
  label: None fsprofile: None

, fsentry -- device: devpts   mountpoint: /dev/pts
  fsystem: devpts format: 0
  ismounted: 0  options: 'gid=5,mode=620'
  label: None fsprofile: None

, fsentry -- device: sys   mountpoint: /sys
  fsystem: sysfs format: 0
  ismounted: 0  options: 'defaults'
  label: None fsprofile: None

, fsentry -- device: proc   mountpoint: /proc
  fsystem: proc format: 0
  ismounted: 0  options: 'defaults'
  label: None fsprofile: None

]
    id.fsset.mountcount: 0
  id.desktop: Desktop instance, containing members:
    id.desktop.info: {}
    id.desktop.runlevel: 3
  id.rootParts: None
  id.x_already_set: 1
  id.backend: LiveCDCopyBackend instance, containing members:
    id.backend.modeText: 
    id.backend.instPath: /mnt/sysimage
    id.backend.skipFormatRoot: True
    id.backend.instLog: None
    id.backend.supportsUpgrades: False
    id.backend._loopbackFile: None
    id.backend.osimg: //dev/mapper/live-osimg-min
    id.backend.supportsPackageSelection: False
  id.firstboot: 0
  id.diskset: DiskSet instance, containing members:
    id.diskset.initializedDisks: {}
    id.diskset.disks: {}
    id.diskset.anaconda: Already dumped
    id.diskset.devicesOpen: True
    id.diskset.onlyPrimary: None
  id.users: None
  id.displayMode: g
  id.auth: --enableshadow --passalgo=sha512
  id.ksdata: None
  id.bootloader: x86BootloaderInfo instance, containing members:
    id.bootloader._configdir: /boot/grub
    id.bootloader.doUpgradeOnly: 0
    id.bootloader.above1024: 0
    id.bootloader.defaultDevice: None
    id.bootloader.pure: None
    id.bootloader.serialDevice: None
    id.bootloader.args: KernelArguments instance, containing members:
      id.bootloader.args.args: 
    id.bootloader.kernelLocation: /boot/
    id.bootloader.timeout: None
    id.bootloader._configname: grub.conf
    id.bootloader.device: None
    id.bootloader.kickstart: 0
    id.bootloader.serialOptions: None
    id.bootloader.useGrubVal: 1
    id.bootloader._drivelist: None
    id.bootloader.images: BootImages instance, containing members:
      id.bootloader.images.default: None
      id.bootloader.images.images: {}
    id.bootloader.serial: 0
    id.bootloader.password: None
    id.bootloader.forceLBA32: 0
  id.extraModules: []
  id.network: Network instance, containing members:
    id.network.netdevices: {'pan0': DEVICE=pan0
HWADDR=5a:34:74:2e:36:15

, 'wlan0': DEVICE=wlan0
HWADDR=00:18:f8:33:a7:27

, 'eth0': DEVICE=eth0
HWADDR=00:1a:92:24:62:94

}
    id.network.ksdevice: None
    id.network.overrideDHCPhostname: False
    id.network.hostname: localhost.localdomain
    id.network.domains: []
  id.instClass: <installclass.DefaultInstall object at 0xa39820c>
  id.partitions: Partitions instance, containing members:
    id.partitions.encryptionPassphrase: 
    id.partitions.useAutopartitioning: 1
    id.partitions.autoClearPartType: 0
    id.partitions.nextUniqueID: 1
    id.partitions.reinitializeDisks: 0
    id.partitions.useFdisk: 0
    id.partitions.autoClearPartDrives: []
    id.partitions.protected: [sr0]
    id.partitions.retrofitPassphrase: False
    id.partitions.anaconda: Already dumped
    id.partitions.zeroMbr: 0
    id.partitions.isKickstart: 0
    id.partitions.requests: []
    id.partitions.autoEncrypt: False
    id.partitions.autoPartitionRequests: [New Part Request -- mountpoint: None uniqueID: None
  type: physical volume (LVM)  format: 1 
  device: None drive: None  primary: None
  size: 0  grow: 1  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  options: 'None'
  fsprofile: None  encryption: None
, VG Request -- name: lvm  uniqueID: None
  format: 1 pesize: 32768  
  physvols: []
, LV Request -- mountpoint: /  uniqueID: None
  type: ext3  format: 1
  size: 1024  lvname: LogVol00  volgroup: lvm
  options: 'None'  fsprofile: None  encryption: 'None'
, New Part Request -- mountpoint: /boot uniqueID: None
  type: ext3  format: 1 
  device: None drive: None  primary: None
  size: 200  grow: 0  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  options: 'None'
  fsprofile: None  encryption: None
, LV Request -- mountpoint: None  uniqueID: None
  type: swap  format: 1
  size: 1000  lvname: LogVol01  volgroup: lvm
  options: 'None'  fsprofile: None  encryption: 'None'
]
    id.partitions.deletes: []
  id.isHeadless: 0
  id.videocard: None
  id.instLanguage: Language instance, containing members:
    id.instLanguage.targetLang: None
    id.instLanguage.default: en_US.UTF-8
    id.instLanguage.displayMode: g
    id.instLanguage.current: en_US.UTF-8
  id.security: Security instance, containing members:
    id.security.selinux: 1
  id.upgradeSwapInfo: None
dir: 1
backend: Already dumped


/tmp/anaconda.log:
17:13:46 INFO    : using only installclass _Fedora
17:13:46 INFO    : anaconda called with cmdline = ['/usr/sbin/anaconda', '--liveinst', '--method=livecd:///dev/mapper/live-osimg-min', '--lang', 'en_US.UTF-8']
17:13:46 INFO    : Display mode = g
17:13:46 INFO    : Starting graphical installation...
17:13:46 INFO    : Detected 3296M of memory
17:13:46 INFO    : Swap attempt of 1000M to 5296M
17:13:46 WARNING : step installtype does not exist
17:13:46 WARNING : step confirminstall does not exist
17:13:46 WARNING : step complete does not exist
17:13:47 INFO    : moving (1) to step welcome
17:13:58 INFO    : moving (1) to step keyboard
17:14:00 INFO    : moving (1) to step network
17:14:25 INFO    : moving (1) to step timezone
17:14:27 WARNING : /usr/lib/anaconda/iw/timezone_gui.py:58: GtkWarning: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
  self.xml = gtk.glade.XML("/usr/share/system-config-date/system-config-date.glade", domain="system-config-date")

17:14:33 INFO    : moving (1) to step accounts
17:14:57 INFO    : moving (1) to step partitionobjinit
17:14:57 INFO    : no /tmp/fcpconfig; not configuring zfcp
17:14:57 DEBUG   : starting mpaths
17:14:57 DEBUG   : self.driveList(): ['sda', 'sdb', 'sdc', 'sdd']
17:14:57 DEBUG   : DiskSet.skippedDisks: []
17:14:57 DEBUG   : DiskSet.skippedDisks: []
17:14:57 DEBUG   : starting all mpaths on drives ['sda', 'sdb', 'sdc', 'sdd']
17:14:57 DEBUG   : scanning for multipath on drives ['sda', 'sdb', 'sdc', 'sdd']
17:14:57 DEBUG   : loading bdevid modules from: '/tmp/updates/bdevid/:/lib/bdevid/:/usr/lib/bdevid/'
17:14:57 DEBUG   : mpaths: []
17:14:57 DEBUG   : done starting mpaths.  Drivelist: ['sda', 'sdb', 'sdc', 'sdd']
17:14:57 DEBUG   : starting dmraids
17:14:57 DEBUG   : self.driveList(): ['sda', 'sdb', 'sdc', 'sdd']
17:14:57 DEBUG   : DiskSet.skippedDisks: []
17:14:57 DEBUG   : DiskSet.skippedDisks: []
17:14:57 DEBUG   : starting all dmraids on drives ['sda', 'sdb', 'sdc', 'sdd']
17:14:57 DEBUG   : scanning for dmraid on drives ['sda', 'sdb', 'sdc', 'sdd']
17:15:03 DEBUG   : got raidset <block.device.RaidSet instance at 0xac9832c> (sda sdb sdc sdd)
17:15:03 DEBUG   :   valid: True found_devs: 4 total_devs: 4
17:15:03 DEBUG   : adding mapper/nvidia_jibcdabj to isys cache
17:15:03 DEBUG   : adding sda to dm cache
17:15:03 DEBUG   : removing sda from isys cache
17:15:03 DEBUG   : adding sdb to dm cache
17:15:03 DEBUG   : removing sdb from isys cache
17:15:03 DEBUG   : adding sdc to dm cache
17:15:03 DEBUG   : removing sdc from isys cache
17:15:03 DEBUG   : adding sdd to dm cache
17:15:03 DEBUG   : removing sdd from isys cache
17:15:03 DEBUG   : starting raid <block.device.RaidSet instance at 0xac9832c> with mknod=True
17:15:03 ERROR   : Activating raid nvidia_jibcdabj failed: 
17:15:03 ERROR   : Activating raid nvidia_jibcdabj failed: 
17:15:03 ERROR   :   table: 0 1465191168 raid45 core 2 131072 nosync raid5_ls 1 128 4 313726327 /dev/sda 0 /dev/sdb 0 /dev/sdc 0 /dev/sdd 0
17:15:03 ERROR   :   table: 0 1465191168 raid45 core 2 131072 nosync raid5_ls 1 128 4 313726327 /dev/sda 0 /dev/sdb 0 /dev/sdc 0 /dev/sdd 0
17:15:03 ERROR   :   exception: device-mapper: reload ioctl failed: Invalid argument
17:15:03 ERROR   :   exception: device-mapper: reload ioctl failed: Invalid argument
17:15:03 DEBUG   : done starting dmraids.  Drivelist: ['mapper/nvidia_jibcdabj']
17:15:03 CRITICAL: parted exception: Error: Could not stat device /dev/mapper/nvidia_jibcdabj - No such file or directory.
17:15:11 CRITICAL: parted exception: Error: Could not stat device /dev/mapper/nvidia_jibcdabj - No such file or directory.
17:15:17 DEBUG   : parted error: Error: Could not stat device /dev/mapper/nvidia_jibcdabj - No such file or directory.
17:15:17 DEBUG   : removing drive mapper/nvidia_jibcdabj from disk lists
Comment 1 Chris Lumens 2009-04-28 12:06:50 EDT
Are you still seeing this problem with one of the F11 test releases?  We've done some major work to the storage code, including RAID, so there's a good chance we've fixed this up for you.
Comment 2 BillR 2009-04-29 00:56:39 EDT
I did finally get this to install on F10, but I will be building a new machine in the next couple weeks. I will try to install on F11 for you if you would like. But I don't have the cycles for probably 9 or 10 more days... i.e. weekend after next. Let me know if you want me to do so. I'll leave it up to you if you want to leave this open till I check it out.  Sorry, I knew I missed something when I got this installed... updating this bug was it. Apologies.
Comment 3 Chris Lumens 2009-07-29 10:44:57 EDT
If you continue to see this problem on F11, please feel free to either reopen this bug or create a new one.  I know there have been a variety of device-mapper error messages lately but it's hard to tell whether you're seeing the same one or not.

Note You need to log in before you can comment on or make changes to this bug.